using System;
using System.Reflection;

namespace LLNet.DAL
{
	/// <summary>
	/// Summary description for ClassFactory.
	/// </summary>
	public sealed class ClassFactory
	{

		public static IDAL CreateModule(string module)
		{
			Type genericType = Type.GetType(module,false);

			if (genericType != null)
				return (IDAL)Activator.CreateInstance(genericType);
			else
				return null;
		}
	}
}
